/*
Theme Name: Gijinkakun Child
Theme URI: https://www.gijinkakun.com
Author: Christopher Satterthwaite
Author URI: https://www.gijinkakun.com
Description: Gijinkakun is a foundational theme designed to help create WordPress websites with a strong focus on speed, efficiency, and optimization.
Template:    gijinkakun
Tags: blog,one-column,accessibility-ready,custom-colors,custom-menu,editor-style,featured-images,sticky-post,theme-options,translation-ready
Version: 1.0.0
Text Domain: gijinkakun
License: GPLv3 or later
License URI: https://www.gnu.org/licenses/gpl-3.0.en.html
Requires at least: 6.9
Tested up to: 6.9
Requires PHP: 8.0
*/


.gt-post {
  position: relative;

  &:hover {
    .gt-post__hover-bg {
      opacity: 1;
      transform: scale(1);
    }
  }

  .gt-post__hover-bg {
    position: absolute;
    left: -1rem;
    right: -1rem;
    top: -1.5rem;
    bottom: -1.5rem;
    z-index: 0;
    border-radius: var(--gt-post-border-radius);
    background-color: var(--gt-alt-background);
    opacity: 0;
    transform: scale(0.95);
    transition:
      opacity 180ms ease,
      transform 180ms ease;
  }

  .gt-post__inner {
    position: relative;
    z-index: 10;
    padding: var(--gt-post-padding);
  }
}